db4o |

# ObjectClass.ReadAs Method

creates a temporary mapping of a persistent class to a different class.

void ReadAs(
object clazz
);

#### Parameters

clazz
  class name, Class object, or example object.

#### Remarks

creates a temporary mapping of a persistent class to a different class.
If meta information for this ObjectClass has been stored to the database file, it will be read from the database file as if it was representing the class specified by the clazz parameter passed to this method. The clazz parameter can be any of the following:
- a fully qualified classname as a String.
- a Class object.
- any other object to be used as a template.
This method will be ignored if the database file already contains meta information for clazz.

#### See Also

ObjectClass Interface | com.db4o.config Namespace